<div class="ibox-filter">

  <div id="activity-filter-body" class="collapse show">

    <div class="p-2">

      <form [formGroup]="formGroup"  (ngSubmit)="onSubmit()" appFocusInvalidInput autocomplete="off">

        <div class="row" >

          <div class="col-md-4 mt-2">
            <ngx-select formControlName="client" [items]="clientList" [optionTextField]="'value'" [optionValueField]="'code'" size='small'
                        (select)='OnSelectClient($event)'
                        (remove)='OnRemoveClient()'
                        [allowClear]=true
                        [placeholder]="'FIELD.OPCVM.CLIENT'|translate"></ngx-select>
           <div *ngIf="formGroup.get('client').invalid && showValidationsMsg">
              <div *ngIf="formGroup.get('client').errors.required" class="text-danger">
                  <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
              </div>
            </div>
          </div>

          <div class="col-md-4 mt-2">
            <ngx-select formControlName="fond" [items]="fondsList" [optionTextField]='"value"' [optionValueField]="'code'" size='small'
                        (select)="onselectFond($event)"
                        (remove)='OnRemoveFond()'
                        [allowClear]=true
                        [placeholder]="'FIELD.OPCVM.FONDS'|translate">
            </ngx-select>
            <div *ngIf="formGroup.get('fond').invalid && showValidationsMsg">
              <div *ngIf="formGroup.get('fond').errors.required" class="text-danger">
                  <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
              </div>
            </div>

          </div>


          <div class="col-md-2 mt-2">
            <select class="form-select form-select-sm text-muted" name="dateDebut" formControlName="dateDebut" (ngModelChange)="onselectDateDebut($event)">
              <option disabled selected value="" >selectionner date debut </option>
              <option   *ngFor="let dateDebut of dateDebutList" [value]="dateDebut.date_vl"> {{dateDebut.date_vl}}</option>
            </select>
            <div *ngIf="formGroup.get('dateDebut').invalid && showValidationsMsg">
              <div *ngIf="formGroup.get('dateDebut').errors.required" class="text-danger">
                  <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
              </div>
            </div>
          </div>
          <div class="col-md-2 mt-2" >

            <select  class="form-select form-select-sm text-muted" name="dateFin" formControlName="dateFin" (ngModelChange)="onselectDateFin($event)">
              <option disabled selected value="" >selectionner date fin </option>
              <option *ngFor="let dateFin of dateFinList" [value]="dateFin.date_vl" [disabled]="onDisabledDate(dateFin.date_vl)"> {{dateFin.date_vl}}</option>
            </select>
            <div *ngIf="formGroup.get('dateFin').invalid && showValidationsMsg">
              <div *ngIf="formGroup.get('dateFin').errors.required" class="text-danger">
                  <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
              </div>
            </div>
          </div>
        </div>

        <div class="row" >
          <div class="col-md-3 mt-2">
            <ng-multiselect-dropdown formControlName="indicateur" [data]="indicateursList" [settings]="dropdownSettings"
                                     placeholder="Indicateur"
                                     defaultOpen="true">

            </ng-multiselect-dropdown>
            <div *ngIf="formGroup.get('indicateur').invalid && showValidationsMsg">
              <div *ngIf="formGroup.get('indicateur').errors.required" class="text-danger">
                  <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
              </div>
            </div>
          </div>

          <div class="col-md-2  buttons-oriontation text-left mt-2">
            <button type="button" class="reset-button btn btn-sm mr-2" [title]="'FIELD.BUTTONS.RESET'|translate"
                    (click)="initFormGroup(); onSubmit()" ><i class="ri-arrow-go-back-line"></i> </button>
            <button type="submit" class="submit-button btn  btn-sm" [title]="'FIELD.BUTTONS.SEARCH'|translate"><i
              class="ri-search-2-line"></i></button>
          </div>
        </div>

      </form>

    </div>

  </div>

</div>
